import React from 'react';

import { render } from '@/test-utils/index';
import { NsFlag } from '../';

describe('FlagComponent', () => {
    it('renders a div element with background color and text', () => {
        const text = 'NU SKIN';
        const { getByText } = render(<NsFlag message="NU SKIN" color="accentColorA" />);
        const divElement = getByText(text);

        expect(divElement).toBeInTheDocument();
        expect(divElement).toHaveTextContent(text);
    });
});
