/* eslint-disable max-len */

import { SvgIconProps, SvgIcon } from '@mui/material';

const Cart = (props: SvgIconProps) => {
    return (
        <SvgIcon
            viewBox="0 0 20 20"
            preserveAspectRatio="xMidYMid meet"
            focusable="false"
            {...props}
            data-testid="cart"
        >
            <g
                id="cart-icon"
                fill="none"
                strokeWidth="1"
                stroke="currentColor"
                transform="translate(-53.000000, -15.000000)"
            >
                <g id="Group">
                    <g id="cart-icon" transform="translate(49.000000, 8.000000)">
                        <g id="Asset-9Cart" transform="translate(4.000000, 8.000000)">
                            <circle id="Oval" cx="7" cy="14.5" r="1"></circle>
                            <circle id="Oval" cx="15" cy="14.5" r="1"></circle>
                            <polyline
                                id="Shape"
                                strokeLinecap="round"
                                points="5.68434189e-14 0 3 0 6 12 16 12"
                            ></polyline>
                            <path
                                d="M5.5,9 C16.0765368,9 17.2536948,8.11206806 17.6216676,6.82416338 L19,2 L3.5,2"
                                id="Shape"
                            ></path>
                        </g>
                    </g>
                </g>
            </g>
        </SvgIcon>
    );
};

export default Cart;
