import { render, screen } from '@/test-utils/index';
import NsNextImage from './NsNextImage';
describe('NsNextImage', () => {
    it('test image element renders', () => {
        const altText = 'dummy image';
        render(<NsNextImage src="https://www.google.com" width="300" height="300" alt={altText} />);
        const imgElement = screen.getByAltText(altText);
        expect(imgElement).toBeInTheDocument();
    });
});
