import { FoundationTheme } from '@nuskin/foundation-theme';
import { AdditionalProps } from '../common.types';

export type NsRadioGroupProps = {
    disable : boolean ;
    name : string; 
    additionalSlot : string;
    label : string ;
    items: RadioItems[] ;
    color: FoundationTheme.PaletteColors;
    size : number;
    labelFontSize:number,
    onChange : () => void;
} & AdditionalProps;

export type RadioItems = {
    label : string ; 
    value :string | number ;
    id: string | number;
}